Skip to main content
PATCH
/
v1
/
agents
/
{agentId}
/
real-time-configs
/
{clientEnv}
/
variables
Update config variables for an environment
curl --request PATCH \
  --url https://api.us.poly.ai/v1/agents/{agentId}/real-time-configs/{clientEnv}/variables \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "variables": {}
}
'
{
  "clientEnv": "<string>",
  "variables": {},
  "schema": {},
  "lastUpdated": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

agentId
string
required
clientEnv
string
required

Body

application/json

Variables to shallow-merge into an environment's config page.

variables
object
required

Key-value pairs to merge into the existing config

Response

Successful response

A single config page for one environment.

clientEnv
string
required

Environment (sandbox, pre-release, live)

variables
object

Config key-value pairs

schema
object

JSON Schema (Draft 7) definition

lastUpdated
string

ISO 8601 timestamp of last update

Last modified on April 22, 2026